#include <iostream>
#include <string>
#include <vector>
using namespace std;
#include "guess.h"
int find_number(int MAX){
    int min=0;

    while ( min < MAX){
        int mid= (min+ MAX+1)/2;
        if (!smaller(mid)){
            min= mid;
        }
        else{
            MAX=mid-1;
        }
    }
    return MAX;
}

